---
name: Technical debt
about: File a technical debt report
title: "Technical debt"
labels: technical-debt
assignees: ""
---

## 🧩 Technical Debt Report

### Description
<!--
Provide a brief overview of the technical debt.
-->

---

### **Location**
<!--
Specify the affected files, modules, or components.  
-->
- **File(s):**  
  - `path/to/file1.py`  
  - `path/to/file2.js`
- **Module/Component:**  
  - e.g., `User Authentication`, `Database Models`

---

### **Impact**
<!--
Explain the negative effects caused by this technical debt:
-->
- **Performance:** Is it causing delays or inefficiency?  
- **Maintainability:** Is it hard to update or debug?  
- **Scalability:** Does it hinder growth or adding new features?  
- **Other:** Any other impacts?

---

### **Proposed Resolution**
<!--
In broad terms and briefly, describe what is needed to address the technical debt 
(fill one or more of the following sub-sections):
-->
- **Refactoring:** Rewrite the affected code  
- **Tooling:** Add or update tools to mitigate the debt  
- **Documentation:** Update or add documentation


---

### **Estimated Effort**
<!--
Provide a rough estimate of the effort needed for resolution:
-->
- **Effort Level:** e.g., `Small`, `Medium`, `Large`, `Very Large`  
- **Time Estimate:** e.g., `5 hours`, `2 days`, `2 weeks`

---

### **Supporting Information**
<!--
Optional section
Add any supporting details like screenshots, logs, or references:
-->
- **References:** Link to related issues, PRs, or documentation.

___