"""Add order table

Revision ID: a6befebf1231
Revises: 584840c706a0
Create Date: 2024-01-24 10:43:55.206551

"""

import sqlalchemy as sa

from alembic import op

# revision identifiers, used by Alembic.
revision = "a6befebf1231"
down_revision = "584840c706a0"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "order",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("customer_id", sa.Integer(), nullable=False),
        sa.Column("order_date", sa.DateTime(), nullable=False),
        sa.Column("ticket_id", sa.Integer(), nullable=False),
        sa.ForeignKeyConstraint(
            ["customer_id"],
            ["customer.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
        sa.UniqueConstraint("id"),
    )
    op.create_index(op.f("ix_order_ticket_id"), "order", ["ticket_id"], unique=True)
    op.add_column(
        "case",
        sa.Column(
            "order_id", sa.Integer(), sa.ForeignKey("order.id", name="case_ibfk_2"), nullable=True
        ),
    )


def downgrade():
    op.drop_constraint(table_name="case", constraint_name="case_ibfk_2", type_="foreignkey")
    op.drop_column("case", "order_id")
    op.drop_index(index_name="ix_order_ticket_id", table_name="order")
    op.drop_table("order")
    # ### end Alembic commands ###
